
from flask import Flask, render_template

app = Flask(__name__, template_folder='template')

@app.route('/helloworld')
def helloworld():
    
    d = {
        "username": "Justin Biber",
        "env": "Development",
        "avater": "https://git.selfmade.ninja/uploads/-/system/user/avatar/7411/avatar.png?width=800"
    }
    
    return render_template('helloworld.html', data=d )

if __name__ == '__main__':
    app.run(debug=True)
